gtkdebug.h File Reference
Pidgin (GTK+ User Interface)

GTK+ Debug API. More...

`#include "debug.h"`

Go to the source code of this file.

## Functions

void | pidgin_debug_init (void)
| Initializes the GTK+ debug system.
void | pidgin_debug_uninit (void)
| Uninitialized the GTK+ debug system.
void * | pidgin_debug_get_handle (void)
| Get the handle for the GTK+ debug system. More...
void | pidgin_debug_window_show (void)
| Shows the debug window.
void | pidgin_debug_window_hide (void)
| Hides the debug window.
PurpleDebugUiOps * | pidgin_debug_get_ui_ops (void)
| Returns the UI operations structure for GTK+ debug output. More...

## Detailed Description

GTK+ Debug API.

Definition in file gtkdebug.h.

## Function Documentation

void* pidgin_debug_get_handle | ( | void |  | ) |

Get the handle for the GTK+ debug system.

Returns
  the handle to the debug system

PurpleDebugUiOps* pidgin_debug_get_ui_ops | ( | void |  | ) |

Returns the UI operations structure for GTK+ debug output.

Returns
  The GTK+ UI debug operations structure.